<?php


namespace App\Http\Controllers\Api;


use App\Services\DynamicService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;

class DynamicController extends Controller
{
    protected $dynamicService;

    public function __construct(DynamicService $dynamicService)
    {
        $this->dynamicService = $dynamicService;
    }

    /**
     * 获取话题列表
     */
    public function get_tag_list(Request $request){


        $data = DB::table("dynamic_tag")->where("title","like","%{$request->keyword}%")->orderBy("hot","desc")->limit(20)->get();
        return response()->json($data)->setStatusCode(201);
    }


    /**
     * 发布动态
     */
    public function release(Request $request){
        $user = auth('api')->user();
        $validator = Validator::make($request->all(), [
            'content' => 'required',
        ], [
            'content.required'=>"内容必须",
        ]);
        if ($validator->fails()) {
            return $this->response()->errorForbidden($validator->messages()->first());
        }

        DB::beginTransaction();

        try {
            //如果设置了话题
            if(isset($request->tag) && !empty($request->tag)){


            }

        }catch (\Exception $e){

        }




    }


    /**
     * 动态列表
     */
    public function get_list(Request $request){

    }

    /**
     * 我的动态
     */
    public function my_list(Request $request){

    }

    /**
     * 动态点赞
     */
    public function zan(Request $request){

    }

    /**
     * 删除动态
     */
    public function del(Request $request){


    }

    /**
     * 举报动态
     */
    public function report(Request $request){


    }
}
